com.mockobjects.sql

## Class MockDriver

- java.lang.Object
- - com.mockobjects.sql.MockDriver

All Implemented Interfaces:
  java.sql.Driver

    public class MockDriver
    extends java.lang.Object
    implements java.sql.Driver

### Field Summary

Fields
`static MockDriver` `myDriver`

### Constructor Summary

Constructors
Constructor and Description
`MockDriver()`

### Method Summary

Methods
`boolean` `acceptsURL(java.lang.String url)`
`java.sql.Connection` `connect(java.lang.String url, java.util.Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.sql.DriverPropertyInfo[]` `getPropertyInfo(java.lang.String url, java.util.Properties info)`
`boolean` `jdbcCompliant()`
`void` `setupConnect(java.sql.Connection aConnection)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Driver

`getParentLogger`

### Field Detail

#### myDriver

    public static MockDriver myDriver

### Constructor Detail

#### MockDriver

    public MockDriver()

### Method Detail

#### setupConnect

    public void setupConnect(java.sql.Connection aConnection)

#### acceptsURL

    public boolean acceptsURL(java.lang.String url)

Specified by:
  `acceptsURL` in interface `java.sql.Driver`

#### connect

    public java.sql.Connection connect(java.lang.String url,
                              java.util.Properties info)

Specified by:
  `connect` in interface `java.sql.Driver`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `java.sql.Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `java.sql.Driver`

#### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String url,
                                                java.util.Properties info)

Specified by:
  `getPropertyInfo` in interface `java.sql.Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `java.sql.Driver`